Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class MultilineStringsJavadocOptionFileOption

    java.lang.Object
      org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption<T>
          org.gradle.external.javadoc.optionfile.AbstractListJavadocOptionFileOption<List<String>>
              org.gradle.external.javadoc.optionfile.MultilineStringsJavadocOptionFileOption

All Implemented Interfaces:
  JavadocOptionFileOption<List<String>>, OptionLessJavadocOptionFileOption<List<String>>

    public class MultilineStringsJavadocOptionFileOption

extends AbstractListJavadocOptionFileOption<List<String>>

Field Summary

Fields inherited from class org.gradle.external.javadoc.optionfile.AbstractListJavadocOptionFileOption
`joinBy`

Fields inherited from class org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption
`option, value`

Constructor Summary
`protected` | `MultilineStringsJavadocOptionFileOption(String option)`
`protected` | `MultilineStringsJavadocOptionFileOption(String option, List<String> value)`

Method Summary
`void` | `writeCollectionValue(JavadocOptionFileWriterContext writerContext)`

Methods inherited from class org.gradle.external.javadoc.optionfile.AbstractListJavadocOptionFileOption
`getValue, setValue, write`

Methods inherited from class org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption
`getOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultilineStringsJavadocOptionFileOption

    protected MultilineStringsJavadocOptionFileOption(String option)

### MultilineStringsJavadocOptionFileOption

    protected MultilineStringsJavadocOptionFileOption(String option,
                                                      List<String> value)

Method Detail

### writeCollectionValue

    public void writeCollectionValue(JavadocOptionFileWriterContext writerContext)
                              throws IOException

  Specified by:
    `writeCollectionValue` in class `AbstractListJavadocOptionFileOption<List<String>>`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD